Skip to main content
POST

Get the create and the consuming exercise event for the contract with the provided ID. No events will be returned for contracts that have been pruned because they have already been archived before the latest pruning offset. If the contract cannot be found for the request, or all the contract-events are filtered, a CONTRACT_EVENTS_NOT_FOUND error will be raised.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
string
required
The contract id being queried. Required
object
required
OpenAPI type: EventFormat.A format for events which defines both which events should be included and what data should be computed and included for them. Note that some of the filtering behavior depends on the TransactionShape, which is expected to be specified alongside usages of EventFormat.

Responses

200

application/json
JsCreated
The create event for the contract with the contract_id given in the request provided it exists and has not yet been pruned. Optional
JsArchived
The archive event for the contract with the contract_id given in the request provided such an archive event exists and it has not yet been pruned. Optional

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The POST /v2/events/events-by-contract-id operation was updated in this snapshot.

Added3.4